@import "styles/constants";

.infoWrapper {
  padding: 10px;
  margin-bottom: 10px;
  text-align: center;
  line-height: 1.5;
}

.btnForm {
  -webkit-tap-highlight-color: transparent;
  position: relative;
  max-width: 300px;
  width: 100%;
  height: 56px;
  padding: 0 5px 7px;
  font-size: 24px;
  border-radius: 4px;
  border: 1px solid transparent;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: all .25s;
  cursor: pointer;
  outline: none;
  user-select: none;

  &::-moz-focus-inner {
    padding-top: 8px;
    border: 0;
  }

  &.disableHover {
    &:hover {
      background-color: $bgcolor-red;
      color: $white;
    }
  }

  @media screen and (max-width: $width-mob) {
    max-width: 100%;
    height: 48px;
    font-size: 16px;
    padding: 0 5px 3px;
  }
}


.mainProductContainer {
  border-radius: 2px;
  overflow: hidden;
  width: 620px;
  flex-direction: column;
  display: flex;

  &:not(:first-child) {
    margin-top: 20px;
  }

  background-color: $white;
  max-width: 620px;

  .productImage {
    width: 100%;
    min-width: 100%;
    height: 414px;
  }

  padding-bottom: 4px;
  justify-content: center;
  margin: 0 auto;
  @media screen and (max-width: $width-mob) {
    flex-direction: column;
    padding: 0 15px 10px;
  }


  .button {
    @extend .btnForm;
    line-height: 1;

    &:active,
    &:focus,
    &:hover,
    &:visited {
      outline: none;
    }

    @media screen and (max-width: $width-mobile) {
      font-size: 18px;
      padding: 0 5px 5px;
    }
  }


  .buttonsBlock {
    padding-bottom: 4px;
    display: flex;

    justify-content: center;
    width: 100%;
    margin: 0 auto;
    max-width: 530px;
    button {
      font-weight: bold;
    }


    .leftColumn {
      width: 50%;
      margin-right: 20px;
      @media screen and (max-width: $width-mob) {
        width: 100%;
        margin-right: 0;
        margin-bottom: 10px;
      }
    }

    .rightColumn {
      width: 50%;
      @media screen and (max-width: $width-mob) {
        width: 100%;
      }
    }
  }

}


